Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.dv
Interface ValidationContext

All Known Implementing Classes:
  ValidationState

public interface ValidationContext

ValidationContext has all the information required for the validation of: id, idref, entity, notation, qname

Version:
  $Id: ValidationContext.java,v 1.3 2003/06/05 21:50:30 neilg Exp $
Author:
  Sandy Gao, IBM

Method Summary
`void` | `addId(java.lang.String name)`
`void` | `addIdRef(java.lang.String name)`
`java.lang.String` | `getSymbol(java.lang.String symbol)`
`java.lang.String` | `getURI(java.lang.String prefix)`
`boolean` | `isEntityDeclared(java.lang.String name)`
`boolean` | `isEntityUnparsed(java.lang.String name)`
`boolean` | `isIdDeclared(java.lang.String name)`
`boolean` | `needExtraChecking()`
`boolean` | `needFacetChecking()`
`boolean` | `needToNormalize()`
`boolean` | `useNamespaces()`

Method Detail

### needFacetChecking

    public boolean needFacetChecking()

### needExtraChecking

    public boolean needExtraChecking()

### needToNormalize

    public boolean needToNormalize()

### useNamespaces

    public boolean useNamespaces()

### isEntityDeclared

    public boolean isEntityDeclared(java.lang.String name)

### isEntityUnparsed

    public boolean isEntityUnparsed(java.lang.String name)

### isIdDeclared

    public boolean isIdDeclared(java.lang.String name)

### addId

    public void addId(java.lang.String name)

### addIdRef

    public void addIdRef(java.lang.String name)

### getSymbol

    public java.lang.String getSymbol(java.lang.String symbol)

### getURI

    public java.lang.String getURI(java.lang.String prefix)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.